Last Comment Bug 792849 - lightning nightly broken on Seamonkey nightly since 20120919
: lightning nightly broken on Seamonkey nightly since 20120919
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: Lightning: SeaMonkey Integration (show other bugs)
: Lightning 1.9
: All All
: -- normal (vote)
: 1.9
Assigned To: Stefan Sitter
:
Mentors:
Depends on:
Blocks: 785480 785692
  Show dependency treegraph
 
Reported: 2012-09-20 07:57 PDT by u331436
Modified: 2012-09-28 08:31 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
regression fix (1.32 KB, patch)
2012-09-20 09:36 PDT, Stefan Sitter
philipp: review+
philipp: approval‑calendar‑aurora+
Details | Diff | Splinter Review

Description u331436 2012-09-20 07:57:45 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 SeaMonkey/2.15a1
Build ID: 20120920003004

Steps to reproduce:

Installed Lightning nightly versions on Seamonkey nightly.
Since 20120919, lightning is broken


Actual results:

- Missing details in the day pane (no line for hours, no color...)
- unable to switch to week or month view


Expected results:

Normal layout should be seen.
- I tried Safe Mode: unable to reproduce as all add-ons are deactivated
- I tried a test profile with only Lightning: Same issue
Comment 1 Stefan Sitter 2012-09-20 09:27:42 PDT
Error: TypeError: node is null
Source File: chrome://calendar/content/calendar-views.js Line: 289

Most probably caused by the check-in for Bug 785480. I assume that "appmenu_calendar-go-menu-next" and "appmenu_calendar-go-menu-previous" is not available without app menu.
Comment 2 Stefan Sitter 2012-09-20 09:36:50 PDT
Created attachment 663050 [details] [diff] [review]
regression fix

Patch makes setupViewNode() more robust to not fail on non-existing elements.
Comment 3 Stefan Sitter 2012-09-21 10:50:34 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/2a45733640f4
Comment 4 Stefan Sitter 2012-09-21 10:56:06 PDT
Pushed to https://hg.mozilla.org/releases/comm-aurora/rev/56eb9486736f

Note You need to log in before you can comment on or make changes to this bug.